package com.alibaba.druid.sql.ast.statement;

import com.alibaba.druid.sql.ast.SQLName;
import com.alibaba.druid.sql.ast.SQLStatementImpl;
import com.alibaba.druid.sql.visitor.SQLASTVisitor;

public class SQLImportDatabaseStatement extends SQLStatementImpl {
   private SQLName db;
   private SQLName status;

   public SQLName getDb() {
      return this.db;
   }

   public void setDb(SQLName db) {
      this.db = db;
   }

   public SQLName getStatus() {
      return this.status;
   }

   public void setStatus(SQLName status) {
      this.status = status;
   }

   protected void accept0(SQLASTVisitor v) {
      if (v.visit(this)) {
         this.acceptChild(v, this.db);
         this.acceptChild(v, this.status);
      }

      v.endVisit(this);
   }
}
